---

#! /lkp/lkp/src/jobs/stress-ng-part1.yaml
suite: stress-ng
testcase: stress-ng
category: benchmark
nr_threads: 100%
testtime: 60s
stress-ng:
  test: cyclic

# ---
job_origin: stress-ng-part1.yaml

#! queue options
queue_cmdline_keys: []
queue: int
testbox: lkp-spr-2sp1
tbox_group: lkp-spr-2sp1
branch: peterz-queue/sched/cleanup
commit: 13ea43940095719bc22d2e129712519fdc307c45
kconfig: x86_64-rhel-9.4
job_file: "/lkp/jobs/scheduled/lkp-spr-2sp1/stress-ng-performance-100%-cyclic-60s-debian-13-x86_64-20250902.cgz-13ea43940095-20250922-2142508-1avl97t-2.yaml"
id: c69a6bb7193ac7a2db64b5b72922d0ec84c5c15b
queuer_version: "/lkp/xsang/.src-20250922-144008"

#! hosts/lkp-spr-2sp1
model: Sapphire Rapids
nr_node: 2
nr_cpu: 224
memory: 256G
nr_ssd_partitions: 6
ssd_partitions: "/dev/disk/by-id/nvme-INTEL_SSDPE2KX040T7_PHLF741402ZX4P0IGN-part*"
rootfs_partition: "/dev/disk/by-id/nvme-INTEL_SSDPE2KX010T8_BTLJ207201DG1P0FGN-part4"
kernel_cmdline_hw: acpi_rsdp=0x777fe014
brand: Intel(R) Xeon(R) Platinum 8480+
ucode: '0x90000c0'

#! include/category/benchmark
need_kconfig:
- XFS_ONLINE_SCRUB_STATS: "n"
- XFS_DEBUG: "n"
- XFS_WARN: "y"
- PM_DEBUG: "n"
- PM_SLEEP_DEBUG: "n"
- DEBUG_ATOMIC_SLEEP: "n"
- DEBUG_SPINLOCK_SLEEP: "n"
- CIFS_DEBUG: "n"
- SCSI_DEBUG: "n"
- NFS_DEBUG: "n"
- SUNRPC_DEBUG: "n"
- DM_DEBUG: "n"
- DEBUG_SHIRQ: "n"
- OCFS2_DEBUG_MASKLOG: "n"
- DEBUG_MEMORY_INIT: "n"
- BUG_ON_DATA_CORRUPTION: "n"
- DEBUG_LIST: "n"
- DEBUG_PLIST: "n"
- EXPERT: "y"
- PREEMPT_VOLUNTARY: "y"
- PREEMPT_NONE: "n"
- PREEMPT: "n"
- PREEMPT_RT: "n"
- PREEMPT_DYNAMIC: "n"
- PREEMPT_VOLUNTARY_BEHAVIOUR: "y"
- PREEMPT_BEHAVIOUR: "n"
- PREEMPT_NONE_BEHAVIOUR: "n"
- PREEMPT_DYNAMIC: "n"
- PREEMPT_VOLUNTARY: "y"
- PREEMPT_NONE: "n"
- PREEMPT: "n"
- PREEMPT_RT: "n"
kmsg:
boot-time:
uptime:
iostat:
heartbeat:
vmstat:
numa-numastat:
numa-vmstat:
numa-meminfo:
proc-vmstat:
proc-stat:
meminfo:
slabinfo:
interrupts:
lock_stat:
perf-sched:
  lite_mode: 1
softirqs:
bdi_dev_mapping:
diskstats:
nfsstat:
cpuidle:
cpufreq-stats:
turbostat:
sched_debug:
perf-stat:
mpstat:
perf-c2c:
perf-profile:
  debug_mode: 0

#! include/category/ALL
cpufreq_governor: performance
sanity-check:

#! programs/stress-ng/include
rootfs: debian-13-x86_64-20250902.cgz
enqueue_time: 2025-09-22 14:57:42.646223060 +08:00
compiler: gcc-14
_rt: "/result/stress-ng/performance-100%-cyclic-60s/lkp-spr-2sp1/debian-13-x86_64-20250902.cgz/x86_64-rhel-9.4/gcc-14/13ea43940095719bc22d2e129712519fdc307c45"
kernel: "/pkg/linux/x86_64-rhel-9.4/gcc-14/13ea43940095719bc22d2e129712519fdc307c45/vmlinuz-6.17.0-rc4-00012-g13ea43940095"
result_root: "/result/stress-ng/performance-100%-cyclic-60s/lkp-spr-2sp1/debian-13-x86_64-20250902.cgz/x86_64-rhel-9.4/gcc-14/13ea43940095719bc22d2e129712519fdc307c45/0"

#! schedule options
user: lkp
LKP_SERVER: internal-lkp-server
scheduler_version: "/lkp/lkp/.src-20250918-172140"
arch: x86_64
max_uptime: 14400
initrd: "/osimage/debian/debian-13-x86_64-20250902.cgz"
bootloader_append:
- root=/dev/ram0
- RESULT_ROOT=/result/stress-ng/performance-100%-cyclic-60s/lkp-spr-2sp1/debian-13-x86_64-20250902.cgz/x86_64-rhel-9.4/gcc-14/13ea43940095719bc22d2e129712519fdc307c45/0
- BOOT_IMAGE=/pkg/linux/x86_64-rhel-9.4/gcc-14/13ea43940095719bc22d2e129712519fdc307c45/vmlinuz-6.17.0-rc4-00012-g13ea43940095
- branch=peterz-queue/sched/cleanup
- job=/lkp/jobs/scheduled/lkp-spr-2sp1/stress-ng-performance-100%-cyclic-60s-debian-13-x86_64-20250902.cgz-13ea43940095-20250922-2142508-1avl97t-2.yaml
- user=lkp
- ARCH=x86_64
- kconfig=x86_64-rhel-9.4
- commit=13ea43940095719bc22d2e129712519fdc307c45
- intremap=posted_msi
- acpi_rsdp=0x777fe014
- max_uptime=14400
- LKP_SERVER=internal-lkp-server
- nokaslr
- selinux=0
- debug
- apic=debug
- sysrq_always_enabled
- rcupdate.rcu_cpu_stall_timeout=100
- net.ifnames=0
- printk.devkmsg=on
- panic=-1
- softlockup_panic=1
- nmi_watchdog=panic
- oops=panic
- load_ramdisk=2
- prompt_ramdisk=0
- drbd.minor_count=8
- systemd.log_level=err
- ignore_loglevel
- console=tty0
- earlyprintk=ttyS0,115200
- console=ttyS0,115200
- vga=normal
- rw
modules_initrd: "/pkg/linux/x86_64-rhel-9.4/gcc-14/13ea43940095719bc22d2e129712519fdc307c45/modules.cgz"
bm_initrd: "/osimage/deps/debian-13-x86_64-20250902.cgz/lkp_20250902.cgz,/osimage/deps/debian-13-x86_64-20250902.cgz/run-ipconfig_20250919.cgz,/osimage/deps/debian-13-x86_64-20250902.cgz/stress-ng_20250919.cgz,/osimage/pkg/debian-13-x86_64-20250902.cgz/stress-ng-x86_64-480b81369-1_20250919.cgz,/osimage/deps/debian-13-x86_64-20250902.cgz/iostat_20250917.cgz,/osimage/deps/debian-13-x86_64-20250902.cgz/turbostat_20250919.cgz,/osimage/pkg/debian-13-x86_64-20250902.cgz/turbostat-x86_64-0903d0985ab0-1_20250919.cgz,/osimage/deps/debian-13-x86_64-20250902.cgz/perf_20250919.cgz,/osimage/pkg/debian-13-x86_64-20250902.cgz/perf-x86_64-097a6c336d00-1_20250919.cgz,/osimage/pkg/debian-13-x86_64-20250902.cgz/sar-x86_64-eb341c2e-1_20250919.cgz,/osimage/deps/debian-13-x86_64-20250902.cgz/hw_20250902.cgz"
ucode_initrd: "/osimage/ucode/intel-ucode-20250523.cgz"
lkp_initrd: "/osimage/user/lkp/lkp-x86_64.cgz"
site: shz

#! /zdci/db/releases/20250922085958/lkp-src/include/site/shz
LKP_CGI_PORT: 80
LKP_CIFS_PORT: 139
oom-killer:
watchdog:
job_initrd: "/lkp/jobs/scheduled/lkp-spr-2sp1/stress-ng-performance-100%-cyclic-60s-debian-13-x86_64-20250902.cgz-13ea43940095-20250922-2142508-1avl97t-2.cgz"
dequeue_time: 2025-09-22 15:47:22.172619927 +08:00
last_kernel: 5.9.0-2-amd64
job_state: running
